Subject: bug#47677: [PATCH] condition-case success continuation

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 Apr 2021 11:10:40 -0400

>> It may be a bit too far over the moon though. Would
>> :not-a-complete-failure be better? Fits my gloomy national
>> temperaments (all of them) better.
>
> :-)
>
> I like :success here.  Let's bring some positivity.  And I also like
> the feature -- you sometimes see people doing
>
> (condition-case
>   (progn
>     (something-that-may-fail)
>     (setq didnt-fail t))
>   (error ...))
> (when didnt-fail
>   ...)
>
> and this would be much nicer.

Indeed, a nice sidekick to Mattias's patch would be another patch which
rewrites some of those condition-cases.  I know I wrote some of those
but somehow can't remember where, nor can I think of a good way to grep
for them.

        Stefan